Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00537 DIP/Input Major Have not tried Jan 30, 2008, 15:46 Apr 4, 2022, 21:21
Tester Kale View Status Public Platform
Assigned To kmg Resolution Fixed OS
Status [?] Resolved Driver
Version 0.37b16 Fixed in Version 0.241 Build
Fixed in Git Commit 0d8ac5b Github Pull Request #
Summary 00537: pc_wgnmn, hogalley, duckhunt: If you shoot the white part of a target, the shot will not register.
Description If you shoot the white part of a target, the shot will not register.

INP file submitted by Zaphod in 0.104u8.
Here's what I think is going on.

MAME is being "smart" when the entire sprite is shifted to white, and not updating stuff that is already "white" problem is, the white used for the flash is NOT the same white that is used by the normal sprite! So you are hitting the wrong "white" and it registers a miss.
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version
Affected Sets / Systems pc_wgnmn, hogalley, duckhunt
Attached Files
zip file icon inp_for_0.104u8.zip (4,154 bytes) Feb 14, 2008, 14:51
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.08367
NekoEd
Senior Tester
Mar 16, 2012, 03:29
You can test this very easily in duckhunt, just insert a coin and shoot the white text on the screen to select the number of players. Shooting anywhere else on the screen will start the game, but within the white text, nothing. I add this note since it should make testing this out in the course of fixing it much easier.
User avatar
No.17326
Zaphod
Tester
Jan 7, 2020, 21:07
Note that this particular bug used to be present in many nes emulators. and it's definitely to do with the definition of white.

i suggest using them as a reference to fix the issue.
User avatar
No.19778
kmg
Tester
Feb 9, 2022, 20:57
I think this issue is fixed with commit https://github.com/mamedev/mame/commit/0d8ac5b7608e87160071d41d2b98040f98f11132 and PR https://github.com/mamedev/mame/pull/9284 if anyone would care to test it.

The commit fixes broader issues with the light guns not working sometimes but it should address the white issue too. As NekoEd points out you couldn't start duckhunt by shooting the white letters before. Likewise in duckhunt, when you shoot the arrows on the high score name entry screen they turn white. Before you'd have to wait a sec or two until they turned back to be able to shoot them again. Now you can fire away and move the letter cursor while the arrows remain white. Much faster :)
User avatar
No.19995
kmg
Tester
Apr 3, 2022, 20:29
Bump. AFAICT this has been working since 0.241.